Package org.apache.cayenne.configuration.server

## Class DataDomainLoadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cayenne.CayenneRuntimeException
        - - org.apache.cayenne.ConfigurationException
          - - org.apache.cayenne.configuration.server.DataDomainLoadException

- All Implemented Interfaces:
    `Serializable`

      public class DataDomainLoadException
      extends ConfigurationException

  Since:
    3.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataDomainLoadException()` |
    `DataDomainLoadException​(String messageFormat, Object... messageArgs)` |
    `DataDomainLoadException​(String messageFormat, Throwable cause, Object... messageArgs)` |
    `DataDomainLoadException​(Throwable cause)` |
    `DataDomainLoadException​(ConfigurationTree<DataChannelDescriptor> configurationTree, String messageFormat, Object... messageArgs)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConfigurationTree<DataChannelDescriptor>` | `getConfigurationTree()` |

    - ### Methods inherited from class org.apache.cayenne.CayenneRuntimeException

      `getExceptionLabel, getMessage, getUnlabeledMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataDomainLoadException

          public DataDomainLoadException()

    - #### DataDomainLoadException

          public DataDomainLoadException​(String messageFormat,
                                         Object... messageArgs)

    - #### DataDomainLoadException

          public DataDomainLoadException​(ConfigurationTree<DataChannelDescriptor> configurationTree,
                                         String messageFormat,
                                         Object... messageArgs)

    - #### DataDomainLoadException

          public DataDomainLoadException​(Throwable cause)

    - #### DataDomainLoadException

          public DataDomainLoadException​(String messageFormat,
                                         Throwable cause,
                                         Object... messageArgs)

  - ### Method Detail

    - #### getConfigurationTree

          public ConfigurationTree<DataChannelDescriptor> getConfigurationTree()